%define major		5
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Summary:	Program for tidying up messy HTML
Name:		tidy-html
Version:	5.7.28
Release:	%mkrel 1
Group:		Text tools
License:	W3C License
URL:		http://www.html-tidy.org/
Source0:	https://github.com/htacg/tidy-html5/archive/%{version}/tidy-html5-%version.tar.xz
BuildRequires:	cmake
BuildRequires:	xsltproc

Provides:	%{name}-html5 = %{version}-%{release}
Provides: tidy = %{version}-%{release}

%description
tidy is a program for tidying up messy html, for example, when we do 
html in vi, and we make the text italic with the <i> </i> tag some of us may
forget to end the italic text with </i>. tidy fixes this.

Install this if you need a program to help you tidy up your HTML.

%package -n	%{libname}
Summary:	Main library for %{name}
Group:		System/Libraries

%description -n	%{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n	%{develname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}
Provides:	lib%{name}-devel = %{version}
Provides:	%{name}-devel = %{version}

%description -n	%{develname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%prep
%setup -qn tidy-html5-%version
%apply_patches

%build
%cmake \
	-DTIDY_COMPAT_HEADERS:BOOL=ON \
	-DBUILD_TAB2SPACE:BOOL=ON
%make_build

%install
%make_install -C build

find %{buildroot} -name '*.a' -delete

install -m 0755 build/tab2space %{buildroot}%{_bindir}

%files
%doc README.md
%doc README/LICENSE.md
%{_bindir}/*
%{_mandir}/man1/*

%files -n %{libname}
%{_libdir}/libtidy.so.%{major}*

%files -n %{develname}
%{_includedir}/tidy.h
%{_includedir}/tidybuffio.h
%{_includedir}/tidyenum.h
%{_includedir}/tidyplatform.h
%{_includedir}/buffio.h
%{_includedir}/platform.h
%{_libdir}/*.so
%{_libdir}/pkgconfig/tidy.pc


%changelog
* Tue Jul 23 2019 tex - 5.7.28-1pclos2019
- new version

* Sun Apr 14 2019 tex - 5.6.0-3pclos2019
- rebuild against updates
- prov tidy

* Tue Apr 09 2019 tex 5.6.0-2pclos2019
- update
